// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

//Declare required library
var express 			= require('express');
var bodyParser 			= require('body-parser');
var path    			= require('path');
var fs 					= require('fs');
var morgan 				= require('morgan');
var FileStreamRotator 	= require('file-stream-rotator');
var db 					= require('./config/db');

var app = express();
var logFolder = __dirname + '/log';

fs.existsSync(logFolder) || fs.mkdirSync(logFolder);

//Logger details
var logFileStream = FileStreamRotator.getStream({
  date_format: 	'YYYY-MM-DD',
  filename: 	logFolder + '/demo2_%DATE%.log',
  frequency: 	'daily',
  verbose: 		false
});

//Setup app variables
app.set('port', 3000);
app.set('views', __dirname + '/app/views');
app.set('view engine', 'ejs');

app.use(morgan('combined', {stream: logFileStream}));
app.use(express.static( path.join(__dirname, '/public')));
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));

//Setup the routes
app.use(require('./app/controllers'));

//Setup Listener with Port app.get('port')
app.listen(app.get('port'), function () {
	console.log('Demo 2 listening on port ' + app.get('port'));
});